Skip to content
Last updated

Associate an existing thread with a space, automatically backfilling its messages into the space's shared memory.

POSThttps://api.aitronos.com/v1/spaces/{space_id}/threads/{thread_id}

Add a thread to a space. When a thread is added, all existing messages in the thread are automatically enqueued for embedding into the space's dedicated vector store. Future messages in this thread will also be embedded automatically. Requires edit access to the space.

Path Parameters

space_id string required

The unique identifier of the space.

thread_id string required

The unique identifier of the thread to add.


Returns

A success object with the space ID, thread ID, and timestamp.

cURL
curl -X POST "https://api.aitronos.com/v1/spaces/space_abc123/threads/thrd_def456" \
  -H "X-API-Key: $FREDDY_API_KEY"